from django.contrib import messages
from django.shortcuts import get_object_or_404, redirect, render
from django.views.decorators.csrf import csrf_exempt
from django.contrib.auth.decorators import login_required
from django.db.models import Count

from .models import Almacen, Pict1
from .forms import AlmacenForm, Pict1Form

def alm_create(request):

    alm = Almacen.objects.all().count()
    if alm >= 1:
        return redirect('/homevis/')
    
    if request.method == 'POST':
        form = AlmacenForm(request.POST, request.FILES)
  
        if form.is_valid():
            form.save()
            return redirect('/vis7/pict1_create/')                     

    else:
        form = AlmacenForm()
    return render(request, 'vis/alm_create.html', {'form' : form})


def pict1_create(request):
    
    if request.method == 'POST':
        form = Pict1Form(request.POST, request.FILES)
  
        if form.is_valid():
            form.save()
            messages.success(request, "Listo el Almacén.")
            return redirect('/vis7/index1/')

    else:
        form = Pict1Form()
    return render(request, 'vis/pict_create.html', {'form' : form})

#para llamar cada pict desde home
def detailvis7(request, pict1_id):  
    almacens = Almacen.objects.all()
    almacen_detail = get_object_or_404(Almacen)                 # los datos para navbar
    pict_detail = get_object_or_404(Pict1, pk=pict1_id)         # las imágenes del Sitio  
    return render(request, 'vis7/detailvis.html', {'almacens':almacens, 'pict1':pict_detail, 'almacen':almacen_detail})

@csrf_exempt
def index1(request):
    almacens = Almacen.objects.filter(pk=1)
    pict1s = Pict1.objects.filter(id__in=[1, 2, 3]) 
    return render(request, 'vis7/index1.html', {'almacens':almacens, 'pict1s':pict1s} )

def home(request):
    almacens = Almacen.objects.all()
    pict1s = Pict1.objects.filter(id__in=[1, 2, 3])
    return render(request, 'vis7/home.html', {'almacens':almacens, 'pict1s':pict1s} )

def about(request):
    almacens = Almacen.objects.all()
    return render(request, 'vis7/about.html', {'almacens':almacens} )

def about2(request):
    almacens = Almacen.objects.all()
    return render(request, 'vis/about2.html', {'almacens':almacens} )

def store(request):
    almacens = Almacen.objects.all()
    return render(request, 'vis7/store.html', {'almacens':almacens} )

def contact(request):
    almacens = Almacen.objects.all()
    return render(request, 'vis7/contact.html', {'almacens':almacens} )